(function($) {
    'use strict';

    function refreshLogs() {
        const filter = $('#fliz-log-filter').val();
        
        $.ajax({
            url: flizLogs.ajaxurl,
            type: 'POST',
            data: {
                action: 'fliz_refresh_logs',
                status: filter,
                nonce: flizLogs.nonce
            },
            success: function(response) {
                if (response.success) {
                    $('#fliz-logs-table').html(response.data.html);
                }
            }
        });
    }

    function checkVideoStatus($button) {
        const videoId = $button.data('video-id');
        const $row = $button.closest('tr');
        
        $button.addClass('loading').prop('disabled', true)
               .text(flizLogs.checking);

        $.ajax({
            url: flizLogs.ajaxurl,
            type: 'POST',
            data: {
                action: 'fliz_check_video',
                video_id: videoId,
                nonce: flizLogs.nonce
            },
            success: function(response) {
                if (response.success) {
                    refreshLogs();
                } else {
                    $button.removeClass('loading').prop('disabled', false)
                           .text(flizLogs.error);
                }
            },
            error: function() {
                $button.removeClass('loading').prop('disabled', false)
                       .text(flizLogs.error);
            }
        });
    }

    $(document).ready(function() {
        $('#fliz-refresh-logs').on('click', function(e) {
            e.preventDefault();
            refreshLogs();
        });

        $('#fliz-log-filter').on('change', function() {
            refreshLogs();
        });

        $(document).on('click', '.fliz-check-status', function(e) {
            e.preventDefault();
            checkVideoStatus($(this));
        });
    });
})(jQuery); 