(function($) {
    'use strict';

    $(document).ready(function() {
        // Gérer le clic sur le bouton "Générer des vidéos"
        $('#generate-video-button').on('click', function() {
            const checkedBoxes = $('input[name="posts[]"]:checked');
            
            if (checkedBoxes.length === 0) {
                alert(flizBulk.selectPosts);
                return;
            }

            $('#fliz-generator-modal').show();
        });

        // Fermer la modal quand on clique sur Annuler
        $('.fliz-modal-close').on('click', function() {
            $('#fliz-generator-modal').hide();
        });

        // Fermer la modal si on clique en dehors
        $(window).on('click', function(event) {
            if ($(event.target).is('#fliz-generator-modal')) {
                $('#fliz-generator-modal').hide();
            }
        });

        // Gérer le clic sur le bouton Générer de la modal
        $('#fliz-generate-videos').on('click', function() {
            const checkedBoxes = $('input[name="posts[]"]:checked');
            const postIds = $.map(checkedBoxes, function(cb) { return $(cb).val(); });
            const videoType = $('#fliz-video-type').val();
            const videoFormat = $('#fliz-video-format').val();

            // Appel AJAX pour générer les vidéos
            $.ajax({
                url: flizBulk.ajaxurl,
                type: 'POST',
                data: {
                    action: 'fliz_bulk_generate_videos',
                    posts: postIds,
                    video_type: videoType,
                    video_format: videoFormat,
                    nonce: flizBulk.nonce
                },
                beforeSend: function() {
                    $('#fliz-generate-videos').prop('disabled', true).text(flizBulk.generating);
                },
                success: function(response) {
                    if (response.success) {
                        alert(flizBulk.success);
                        window.location.reload();
                    } else {
                        alert(response.data || flizBulk.error);
                    }
                },
                error: function() {
                    alert(flizBulk.error);
                },
                complete: function() {
                    $('#fliz-generator-modal').hide();
                    $('#fliz-generate-videos').prop('disabled', false).text(flizBulk.generateText);
                }
            });
        });
    });
})(jQuery); 