(function($) {
    'use strict';

    function checkVideoStatus($element) {
        const videoId = $element.data('video-id');
        
        $.ajax({
            url: flizVideo.ajaxurl,
            type: 'POST',
            data: {
                action: 'fliz_check_video',
                video_id: videoId,
                nonce: flizVideo.nonce
            },
            success: function(response) {
                if (response.success && response.data.url) {
                    // Remplacer le message d'attente par le player vidéo
                    const $video = $(
                        '<video controls style="width: 100%; height: auto;">' +
                        '<source src="' + response.data.url + '" type="video/mp4">' +
                        '</video>'
                    );
                    $element.replaceWith($video);
                } else {
                    // Réessayer dans 30 secondes
                    setTimeout(function() {
                        checkVideoStatus($element);
                    }, 30000);
                }
            }
        });
    }

    $(document).ready(function() {
        $('.fliz-video-pending').each(function() {
            checkVideoStatus($(this));
        });
    });
})(jQuery); 