<?php
namespace FlizVideoGenerator\Admin;

class Menu {
    public function __construct() {
        add_action('admin_menu', [$this, 'add_menu_pages']);
    }

    public function add_menu_pages() {
        $icon = 'data:image/svg+xml;base64,' . base64_encode('<?xml version="1.0" encoding="UTF-8"?><svg id="Calque_1" data-name="Calque 1" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 309 346"><defs><style>.cls-1{fill:#a8aaad;}</style></defs><g><path class="cls-1" d="M144.54,285.17l10.1-28.96,15.16-43.46c.05-.16.09-.3.11-.48v-.02c.27-1.28-.16-2.57-1-3.48-.71-.77-1.73-1.25-2.91-1.25h-53.85c-3.05,0-4.98-3.23-3.53-5.9l20.51-37.35,1.37-2.5,4.16-7.6h.02l7.47-13.64c.71-1.34.59-2.8-.11-3.94-.68-1.14-1.93-1.94-3.42-1.94h-52.63c-3.03,0-4.96-3.23-3.53-5.9l58.95-109.68C62.21,25.7,0,92.08,0,173s56.54,141.07,130.43,152.63l14.11-40.46Z"/><path class="cls-1" d="M202.75,26.2l-35.9,68.39c-1.43,2.68.5,5.9,3.53,5.9h52.63c3.03,0,4.96,3.25,3.53,5.92l-32.53,60.64-2.19,4.1-4.17,7.78c-.18.34-.32.68-.39,1.03-.54,2.39,1.27,4.87,3.92,4.87h19.6c3.03,0,4.98,3.23,3.53,5.89l-27.77,51.63-13.41,24.93-10.88,20.24-21.19,39.38c4.43.38,8.91.59,13.44.59,85.33,0,154.5-69.17,154.5-154.5,0-68.48-44.55-126.54-106.25-146.8Z"/></g></svg>');

        // Menu principal
        $menu_titles = [
            'fr_FR' => 'Fliz Video',
            'es_ES' => 'Fliz Video',
            'it_IT' => 'Fliz Video',
            'de_DE' => 'Fliz Video',
            'pt_PT' => 'Fliz Video',
            'default' => 'Fliz Video'
        ];

        // Sous-menu Clé API
        $api_key_titles = [
            'fr_FR' => 'Clé API',
            'es_ES' => 'Clave API',
            'it_IT' => 'Chiave API',
            'de_DE' => 'API-Schlüssel',
            'pt_PT' => 'Chave API',
            'default' => 'API Key'
        ];

        // Sous-menu Générer des vidéos
        $generate_videos_titles = [
            'fr_FR' => 'Générer des vidéos',
            'es_ES' => 'Generar videos',
            'it_IT' => 'Genera video',
            'de_DE' => 'Videos generieren',
            'pt_PT' => 'Gerar vídeos',
            'default' => 'Generate videos'
        ];

        // Page Gestion de la clé API
        $api_management_titles = [
            'fr_FR' => 'Gestion de la clé API',
            'es_ES' => 'Gestión de la clave API',
            'it_IT' => 'Gestione della chiave API',
            'de_DE' => 'API-Schlüssel Verwaltung',
            'pt_PT' => 'Gestão da chave API',
            'default' => 'API Key Management'
        ];

        $locale = get_locale();

        add_menu_page(
            $menu_titles[$locale] ?? $menu_titles['default'],
            $menu_titles[$locale] ?? $menu_titles['default'],
            'manage_options',
            'fliz-video',
            [$this, 'render_settings_page'],
            $icon,
            100
        );

        add_submenu_page(
            'fliz-video',
            $api_management_titles[$locale] ?? $api_management_titles['default'],
            $api_key_titles[$locale] ?? $api_key_titles['default'],
            'manage_options',
            'fliz-video',
            [$this, 'render_settings_page']
        );

        add_submenu_page(
            'fliz-video',
            $generate_videos_titles[$locale] ?? $generate_videos_titles['default'],
            $generate_videos_titles[$locale] ?? $generate_videos_titles['default'],
            'manage_options',
            'fliz-video-bulk',
            [$this, 'render_generator_page']
        );
    }

    public function render_settings_page() {
        $settings = new Settings();
        $settings->render_settings_page();
    }

    public function render_generator_page() {
        $generator = new BulkGenerator();
        $generator->render_page();
    }
}